method.h
Go to the documentation of this file.
/*
* Copyright © 2013 Canonical Ltd.
*
* This program is free software: you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License version 3,
* as published by the Free Software Foundation.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public License
* along with this program. If not, see <http://www.gnu.org/licenses/>.
*
* Authored by: Thomas Voß <thomas.voss@canonical.com>
* Gary Wang <gary.wang@canonical.com>
*/
#ifndef CORE_NET_HTTP_METHOD_H_
#define CORE_NET_HTTP_METHOD_H_
#include <core/net/visibility.h>
#include <memory>
namespace core
{
namespace net
{
namespace http
{
enum class Method
{
get,
head,
post,
put,
del
};
}
}
}
#endif // CORE_NET_HTTP_H_
core::net::http
Definition client.h:39
core::net::http::Method
Method
Definition method.h:33
core::net::http::Method::post
@ post
Definition method.h:36
core::net::http::Method::put
@ put
Definition method.h:37
core::net::http::Method::head
@ head
Definition method.h:35
core::net::http::Method::get
@ get
Definition method.h:34
core::net::http::Method::del
@ del
Definition method.h:38
core::net
Definition error.h:28
core
Definition location.h:24
visibility.h